'use strict';

var loggerPartial = require("@joepie91/gulp-partial-logger");
var livereloadPartial = require("@joepie91/gulp-partial-livereload");
var xtend = require("xtend");

var cache = require("gulp-cached");
var riot = require("gulp-riot");

module.exports = function (options) {
	var cacheKey = options.cacheKey != null ? options.cacheKey : "preset";
	var riotOptions = options.riot != null ? options.riot : {};

	var streamList = [cache(cacheKey), riot(xtend({
		type: "babel",
		template: "jade",
		style: "scss"
	}, riotOptions))];

	if (options.livereload != null) {
		streamList.push(livereloadPartial(options.livereload));
	}

	return loggerPartial("riot", streamList, {
		logger: {
			basePath: options.basePath
		}
	});
};